- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# NURBSCurveEditor Class Reference

Search for all occurrences

## Detailed Description

Definition at line 131 of file nurbs.h.

`#include <nurbs.h>`

List of all members.

## Public Member Functions
| NURBSCurveEditor (NURBSCurve *pCurve)
| ~NURBSCurveEditor (void)
void | Refresh (void)
void | OnMouseClick (float fX, float fY)
void | OnMouseRelease (float fX, float fY)
void | OnMouseMove (float fX, float fY)
void | OnDelete (void)
void | MoveCPTo (const Vector &v)
## Public Attributes
NURBSCurve * | m_pCurve
Vector | m_vDragDistance
Vector | m_vStartDrag

## Constructor & Destructor Documentation

NURBSCurveEditor | ( | NURBSCurve * | pCurve | ) |

~NURBSCurveEditor | ( | void |  | ) |

## Member Function Documentation

void Refresh | ( | void |  | ) |

Search for all occurrences

void OnMouseClick | ( | float | fX,
|  | float | fY
| ) |  |

Search for all occurrences

void OnMouseRelease | ( | float | fX,
|  | float | fY
| ) |  |

Search for all occurrences

void OnMouseMove | ( | float | fX,
|  | float | fY
| ) |  |

Search for all occurrences

void OnDelete | ( | void |  | ) |

Search for all occurrences

void MoveCPTo | ( | const Vector & | v | ) |

Search for all occurrences

## Member Data Documentation

NURBSCurve* m_pCurve

Search for all occurrences

Definition at line 143 of file nurbs.h.

Vector m_vDragDistance

Search for all occurrences

Definition at line 144 of file nurbs.h.

Vector m_vStartDrag

Search for all occurrences

Definition at line 144 of file nurbs.h.

The documentation for this class was generated from the following file:

- Mudbox/nurbs.h

NURBSCurveEditor NURBSCurveEditor NURBSCurveEditor NURBSCurveEditor NURBSCurveEditor NURBSCurveEditor NURBSCurveEditor NURBSCurveEditor NURBSCurveEditor NURBSCurveEditor
NURBSCurveEditor NURBSCurveEditor NURBSCurveEditor NURBSCurveEditor NURBSCurveEditor NURBSCurveEditor NURBSCurveEditor NURBSCurveEditor NURBSCurveEditor NURBSCurveEditor